<?php

namespace GriffinForms\Admin\Html\Pages\Single;

class InputField extends \GriffinForms\Admin\Html\Pages\Single\Field
{   
    protected $type = 'field';
    
    protected function getReturnURL()
    {
        return '?page=griffinforms-fields';
    }
    
    protected function headingText()
    {
        $text = $this->lang->getText('heading', $this->action . $this->object->field_type);
        return $text;
    }
    
    protected function size()
    {
        $this->numberField();
    }
    
    protected function placeholder()
    {
        $this->textField();
    }
    
    protected function autocomplete()
    {
        $this->toggleField();
    }
    
    protected function minValue()
    {
        $this->minMaxField($this->object->getProp('field_type'));
    }
    
    protected function maxValue()
    {
        $this->minMaxField($this->object->getProp('field_type'));
    }
    
    protected function step()
    {
        $this->minMaxField($this->object->getProp('field_type'));
    }
    
    protected function options()
    {
        $this->optionsField();
    }    
    
    protected function defaultValue()
    {
        $this->textField();
    }
}